Update Shipping Rate - Flex Documentation
Update Shipping Rate
cURL
curl --request PUT \
--url https://api.withflex.com/v1/shipping_rates/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"shipping_rate": {
"metadata": {
"order_id": "8842",
"channel": "shopify"
},
"active": false
}
}
'```
### Python
```python
import requests
url = "https://api.withflex.com/v1/shipping_rates/{id}"
payload = { "shipping_rate": {
"metadata": {
"order_id": "8842",
"channel": "shopify"
},
"active": False
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)
JavaScript (Fetch)
const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
shipping_rate: {metadata: {order_id: '8842', channel: 'shopify'}, active: false}
})
};
fetch('https://api.withflex.com/v1/shipping_rates/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
PHP
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.withflex.com/v1/shipping_rates/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'shipping_rate' => [
'metadata' => [
'order_id' => '8842',
'channel' => 'shopify'
],
'active' => false
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}
Go
package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.withflex.com/v1/shipping_rates/{id}"
payload := strings.NewReader("{\n \"shipping_rate\": {\n \"metadata\": {\n \"order_id\": \"8842\",\n \"channel\": \"shopify\"\n },\n \"active\": false\n }\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}
Java (Unirest)
HttpResponse<String> response = Unirest.put("https://api.withflex.com/v1/shipping_rates/{id}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"shipping_rate\": {\n \"metadata\": {\n \"order_id\": \"8842\",\n \"channel\": \"shopify\"\n },\n \"active\": false\n }\n}")
.asString();
Ruby
require 'uri'
require 'net/http'
url = URI("https://api.withflex.com/v1/shipping_rates/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"shipping_rate\": {\n \"metadata\": {\n \"order_id\": \"8842\",\n \"channel\": \"shopify\"\n },\n \"active\": false\n }\n}"
response = http.request(request)
puts response.read_body
Status Codes
- 200
- 401
- 403
- 404
- 409
- 422
- 429
Example Response
{
"shipping_rate": {
"shipping_rate_id": "fshr_01J9XR8M3K7VZ8N2YB4WJ6T0RA",
"active": false,
"display_name": "Example",
"amount": 2500,
"metadata": {
"order_id": "8842",
"channel": "shopify"
},
"created_at": "2026-06-15T14:30:00Z"
}
}
Error Response Examples
{
"code": "string",
"detail": "string"
}
{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string"
}
]
}
Authorizations
- Authorization: string, header, required
- Use a Bearer token to access this API.
Path Parameters
- id: string, required
- Example:
"fshr_01J9XR8M3K7VZ8N2YB4WJ6T0RA"
Body
- shipping_rate: object, required
Response
- shipping_rate: object, required
- The shipping rate.
- Example:
{
"shipping_rate_id": "fshr_01J9XR8M3K7VZ8N2YB4WJ6T0RA",
"active": false,
"display_name": "Example",
"amount": 2500,
"metadata": { "order_id": "8842", "channel": "shopify" },
"created_at": "2026-06-15T14:30:00Z"
}